;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; PlutOS                                                                ;
; Copyright (C) 2024  Patrick_Pluto                                     ;
;                                                                       ;
; This program is free software: you can redistribute it and/or modify  ;
; it under the terms of the GNU General Public License as published by  ;
; the Free Software Foundation, either version 3 of the License, or     ;
; (at your option) any later version.                                   ;
;                                                                       ;
; This program is distributed in the hope that it will be useful,       ;
; but WITHOUT ANY WARRANTY; without even the implied warranty of        ;
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         ;
; GNU General Public License for more details.                          ;
;                                                                       ;
; You should have received a copy of the GNU General Public License     ;
; along with this program.  If not, see <https://www.gnu.org/licenses/>.;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[org 0x7C00]
[bits 16]

start:
    mov ax, 0x7C00
    mov ss, ax
    mov sp, 0xFFFE

    call load_os

    call clear_screen

    call introduction_msg_out

    call psh_prompt_out
    call term_input    

load_os:
    mov ah, 0x02
    mov al, 0x07
    mov ch, 0x00
    mov cl, 0x02
    mov dh, 0x00
    mov bx, 0x7E00
    mov dl, 0x00

    int 0x13

    ret

times 510 - ($ - $$) db 0
dw 0xaa55

%include "terminal.asm"
%include "commands.asm"
%include "prog_utils.asm"